import request from '@/utils/request'

// 查询病原体管理列表
export function listDataBase(query) {
  return request({
    url: '/data/dataBase/list',
    method: 'get',
    params: query
  })
}

// 查询病原体管理详细
export function getDataBase(id) {
  return request({
    url: '/data/dataBase/' + id,
    method: 'get'
  })
}

// 新增病原体管理
export function addDataBase(data) {
  return request({
    url: '/data/dataBase',
    method: 'post',
    data: data
  })
}

// 修改病原体管理
export function updateDataBase(data) {
  return request({
    url: '/data/dataBase',
    method: 'put',
    data: data
  })
}

// 删除病原体管理
export function delDataBase(id) {
  return request({
    url: '/data/dataBase/' + id,
    method: 'delete'
  })
}
